Skip to main content
GET
/
projects
/
{projectId}
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "attributes": {},
  "title": "<string>",
  "description": "<string>",
  "owner": "<string>",
  "namespace": "<string>",
  "organization": "<string>",
  "default_branch": "<string>",
  "status": {
    "code": "<string>",
    "message": "<string>"
  },
  "timezone": "<string>",
  "region": "<string>",
  "repository": {
    "url": "<string>",
    "client_ssh_key": "<string>"
  },
  "default_domain": "<string>",
  "subscription": {
    "license_uri": "<string>",
    "storage": 123,
    "included_users": 123,
    "subscription_management_uri": "<string>",
    "restricted": true,
    "suspended": true,
    "user_licenses": 123,
    "plan": "2xlarge",
    "environments": 123,
    "resources": {
      "container_profiles": true,
      "production": {
        "legacy_development": true,
        "max_cpu": 123,
        "max_memory": 123,
        "max_environments": 123
      },
      "development": {
        "legacy_development": true,
        "max_cpu": 123,
        "max_memory": 123,
        "max_environments": 123
      }
    },
    "resource_validation_url": "<string>",
    "image_types": {
      "only": [
        "<string>"
      ],
      "exclude": [
        "<string>"
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

projectId
string
required

Response

default - application/json
id
string
required

The identifier of Project

created_at
string<date-time> | null
required

The creation date

updated_at
string<date-time> | null
required

The update date

attributes
Arbitrary attributes · object
required

Arbitrary attributes attached to this resource

title
string
required

The title of the project

description
string
required

The description of the project

owner
string
required
deprecated

The owner of the project

namespace
string | null
required

The namespace the project belongs in

organization
string | null
required

The organization the project belongs in

default_branch
string | null
required

The default branch of the project

status
Status · object
required

The status of the project

timezone
string
required

Timezone of the project

region
string
required

The region of the project

repository
Repository information · object
required

The repository information of the project

default_domain
string | null
required

The default domain of the project

subscription
Subscription information · object
required

The subscription information of the project